Status: Закрыта Start date: 02/27/2019

Priority: Нормальный Due date:  

Assignee: Vitaliy Schetinin % Done: 100%

Category: beamtime Estimated time: 0.00 hour

Target version: v-1.0   

Description

1. Logs of processing status: print each 10000 events

2. Parallel processing

 

Please, think what else you need to implement in digibuilder...

History

#1 - 03/28/2019 07:48 AM - Vitaliy Schetinin

From Ivan:

option for digibuilder ERUnpack::UnpackAmpTimeStation is needed 

At the moment digibuilder includes the ERUnpack::UnpackAmpTimeStation fucntion which is calling for all entries of DetEventStation (TClonesArray) of all DetEventDetector's.

This method involves the amp-time pairs constructing algorithm. If the pair could not be constructed due to one message missing (time or amp) such time/amp signals are not used in further analysis.

That means that in some cases one can loose data. Situations can be different, the simplest one is that TDC can be not used in our setup.

That's why it is necessary to create the option to save the amp/time signals which has not corresponded pair signal.

This option can be switched on or off in digibuilding macro as for example it is used for UserCut.

Events where time or amp was missing should be marked with special flag.

#2 - 05/27/2019 10:44 AM - Ivan Muzalevsky

I found that this procedure works.

But I thought that in the case of using kFALSE value for the last parameter in the digibuilding "AddStation" method I should get values == -1 for

variables without corresponding pair. Instead of it I got values  

Following pictures are describing my discovery:

TOP LEFT: time-amp distribution for the file where kFALSE value for the last parameter was used 

TOP RIGHT: same distribution with the same statistics but value of the new parameter== kTRUE

here we can see the difference between the data (narrow vertical line on the left picture close to zero)

BOTTOM LEFT: same distribution from the first pad (parameter == kFALSE) with the condition if corresponding time (horizontal axis) equals to

-1

emtpy... hmm.. no such events

BOTTOM RIGHT: distribution from the first pad, where events with timeare colored in red
On the following picture I compare the 1-D amp distributions:

LEFT: amp distribution, red line corresponds to the events with times

MIDDLE and RIGHT: comparing the amp distribution for the file with last parameter == kTRUE and file where parameter == kFALSE with the

selection if times>0.

we see that distributions are equal with such selection
#3 - 05/28/2019 10:39 AM - Vitaliy Schetinin

- Status changed from Открыта to Закрыта

- % Done changed from 0 to 100
